<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2013 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_USER);

$location_id = pg_escape_string($database, $_REQUEST['item']);

$all_states = pg_query($database, "select identifier, value from state order by value");
$all_countries = pg_query($database, "select identifier, value from country order by value");
$location = pg_fetch_row(pg_query($database, "select place, city, state, country, latitude, longitude, private, users from location where identifier=$location_id"));

/* Ensure the user owns it !*/
if (($po_user['id'] != $location[7]) &&
    ($po_user['type'] != PO_USER_TYPE_ADMIN)) {
  site_referer_error('not_owner');
  site_epilog($database);
  exit();
 }

$number_of_references = pg_fetch_row(pg_query($database, "select number_of_location_references($location_id)"));

site_header(sprintf($strings['profile_edit'], $strings['generic_location']));
site_navigator(8);
site_navigator_status(emit_a(generate_link('user', ''), $strings['generic_users'])." : ".emit_a("my.profile.php", $strings['generic_my_profile'])." : ".sprintf($strings['profile_edit'], $strings['generic_location']), "");

theme_display_navigator_box_top($profile_data['location']['idx'], $profile_data, "100%");

print "<form method=\"post\" action=\"location.edit.2.php\" accept-charset=\"".$strings['formats_encoding']."\">";
print "<input type=\"hidden\" name=\"location\" value=\"$location_id\"/>";
print "<table class=\"profile\">\n";
print "<tr>";
print emit_th($strings['generic_location'], "width=\"30%\"");
print emit_th($strings['user_city'], "width=\"15%\"");
print emit_th($strings['user_state'], "width=\"10%\"");
print emit_th($strings['user_country'], "width=\"10%\"");
print emit_th($strings['photo_latitude'], "width=\"10%\"");
print emit_th($strings['photo_longitude'], "width=\"10%\"");
print emit_th($strings['generic_images_here'], "width=\"5%\"");
print emit_th($strings['generic_private'], "width=\"5%\"");
print "</tr>";
print "<tr>";
print "<td><input type=\"text\" name=\"location_name\" value=\"$location[0]\"/></td>";
print "<td><input type=\"text\" name=\"location_city\" value=\"$location[1]\"/></td>";
print "<td>"; print emit_combo("location_state", $all_states, $location[2], "", 0); print"</td>\n";
print "<td>"; print emit_combo("location_country", $all_countries, $location[3], "", 0); print"</td>\n";
print "<td><input type=\"text\" name=\"location_latitude\"  value=\"".latitude_dms($location[4], 'latitude')."\"/></td>";
print "<td><input type=\"text\" name=\"location_longitude\" value=\"".latitude_dms($location[5], 'longitude')."\"/></td>";
print "<td>$number_of_references[0]</td>";
print "<td>";
print emit_yes_no_combo("private", $location[6]);
print "</td>";
print "</tr>";
print "</table>";

print $thm_elem['button.save.changes'];
print $thm_elem['button.clear'];
print $thm_elem['button.cancel'];
print "</form>";

theme_display_navigator_box_bottom("100%");

site_footer($database);
site_epilog($database);
?>
