--  Copyright (c) 2019 Solomon Peachy (pizza@shaftnet.org)

--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.

--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.

--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

----------------------------------------------------------
-- v2.38.A to 2.38.B patch
----------------------------------------------------------

-- Nuke the film_iso table, using ISO values supplied by cameras/film directly.

ALTER TABLE photo_tech DROP CONSTRAINT "$18";
UPDATE photo_tech SET iso_override = (SELECT VALUE FROM film_iso WHERE identifier = iso_override) WHERE iso_override IS NOT NULL;
ALTER TABLE film_type DROP CONSTRAINT "$2";
UPDATE film_type SET iso = (SELECT VALUE FROM film_iso WHERE identifier = iso) WHERE iso IS NOT NULL;
DROP SEQUENCE film_iso_id_sequence;
DROP VIEW view_film_type;
CREATE VIEW view_film_type AS
    SELECT film_type.identifier, manufacturer.name, film_type.model, film_type.iso, film_format.value AS format, manufacturer.url
      FROM film_type, manufacturer, film_format
     WHERE ((film_type.manufacturer = manufacturer.identifier) AND (film_type.format = film_format.identifier))
  ORDER BY manufacturer.name, film_type.model, film_type.iso;
DROP VIEW view_film;
CREATE VIEW view_film AS
    SELECT film.identifier, manufacturer.name, film_type.model, film_type.iso, film_format.value AS format, film.users, manufacturer.url, access_type.value AS access_rights
      FROM film_type, film, manufacturer, film_format, access_type
     WHERE ((film_type.manufacturer = manufacturer.identifier)
        AND (film_type.identifier = film."type")
        AND (film_type.format = film_format.identifier)
        AND (film.access_rights = access_type.identifier))
  ORDER BY manufacturer.name, film_type.model, film_type.iso;
DROP TABLE film_iso;

-- version update
update version set identifier=3, description='2.38 Development release', major=2, minor=38, variation='B';
